repo/gentoo:master commit in: app-containers/containerd/

"Arthur Zamarin" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786818811.65c4452fc27b92dbc1d87b7542bf27430803882d.arthurzam@gentoo>
commit:     65c4452fc27b92dbc1d87b7542bf27430803882d
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 18:28:58 2026 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 18:33:31 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65c4452f

app-containers/containerd: add 2.3.4

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 app-containers/containerd/Manifest                |  1 +
 app-containers/containerd/containerd-2.3.4.ebuild | 83 +++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/app-containers/containerd/Manifest b/app-containers/containerd/Manifest
index d932d0806d88..29f0808de0f7 100644
--- a/app-containers/containerd/Manifest
+++ b/app-containers/containerd/Manifest
@@ -1,3 +1,4 @@
 DIST containerd-2.2.5.tar.gz 10922595 BLAKE2B 2f6a4653d3b5dcb7a82e9255e7557d5e92c1c65f344abce4fe44bebde2727cc6a414be235e9cdcebaca1660326dfa249cf3f559505e3c7529bf463199a0e3f4c SHA512 5d658c8daa48e3b5369995847d15e3dae4367e7221a5a34115bb74723707053378a2d489b29e6f2742e04bdfc2362c02df34fcb403fc0adb144e19bd352d7741
 DIST containerd-2.3.2.tar.gz 11653431 BLAKE2B eae465cfa0f2a3a4bb231dcf9e18b93e9644be6ff11fb04d712367a74adce5456a3f15811fcbb0c1f78ca9b5ae32077d8e8a476d09c7913ffab82fe23d00369d SHA512 2ce4744e0a93917fa45c2930c22853315577f217fe66d4761a96f4289241cdc930b52e8f646a28e0277747396f031964085c03885824a2f12dd6950ab651b348
 DIST containerd-2.3.3.tar.gz 11655312 BLAKE2B 9ddc68a0e6c0dd844e6f27a3df4e4e2c461ba1feb473f76b3da4f1d23a25bd6c159695d57a9775d8d638c2bd353a622eb8462124015f993008c763b7d2809473 SHA512 a2a8a30d5251b5d0f9be75f44972509e05ce2b206c3b488b8fb15828e44982aeec6c54cfb65ddc3309c974293496f77b096f0c2ee541b3ece8ef81f36abec6b8
+DIST containerd-2.3.4.tar.gz 11667896 BLAKE2B ad83ac029cefa3cb2dcc5989450cc00cfa51f0d9d8b08427da1bb09c59e2582df111cfe28356f31a52927aafe6a23e1caa88c6b2b9247b4c0241f6c97d6a1086 SHA512 cf8be1759399fb9e3b7c84d353a876b8f599b74fb3094a288333cf0b61a743b74484cbde7eab96576b214c92caf7de65ef94813bb3670e079585c371a438f6b4

diff --git a/app-containers/containerd/containerd-2.3.4.ebuild b/app-containers/containerd/containerd-2.3.4.ebuild
new file mode 100644
index 000000000000..5900da1e8c92
--- /dev/null
+++ b/app-containers/containerd/containerd-2.3.4.ebuild
@@ -0,0 +1,83 @@
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-env go-module systemd toolchain-funcs
+
+GIT_REVISION=db8809540e1a7a9da5d518876894933ff55692ab
+
+DESCRIPTION="A daemon to control runC"
+HOMEPAGE="https://containerd.io/"
+SRC_URI="https://github.com/containerd/containerd/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="apparmor btrfs device-mapper +cri +seccomp selinux test"
+# tests require root or docker
+RESTRICT="test"
+
+DEPEND="
+	btrfs? ( sys-fs/btrfs-progs )
+	seccomp? ( sys-libs/libseccomp )
+"
+# recommended minimum version of runc is found in script/setup/runc-version
+RDEPEND="${DEPEND}
+	>=app-containers/runc-1.4.3[apparmor?,seccomp?]
+	selinux? ( sec-policy/selinux-docker )
+"
+BDEPEND="
+	dev-go/go-md2man
+	>=dev-lang/go-1.26.3
+	virtual/pkgconfig
+"
+
+src_prepare() {
+	default
+	sed -i \
+		-e "s/-s -w//" \
+		Makefile || die
+	sed -i \
+		-e "s:/usr/local:/usr:" \
+		containerd.service || die
+}
+
+src_compile() {
+	local options=(
+		$(usev apparmor)
+		$(usex btrfs "" "no_btrfs")
+		$(usex cri "" "no_cri")
+		$(usex device-mapper "" "no_devmapper")
+		$(usev seccomp)
+		$(usev selinux)
+	)
+
+	local myemakeargs=(
+		BUILDTAGS="${options[*]}"
+		REVISION="${GIT_REVISION}"
+		VERSION=v${PV}
+	)
+
+	emake "${myemakeargs[@]}" all
+
+	# race condition in man target https://bugs.gentoo.org/765100
+	tc-env_build go-env_run emake "${myemakeargs[@]}" man -j1 #nowarn
+}
+
+src_install() {
+	rm bin/gen-manpages || die
+	dobin bin/*
+	doman man/*
+	newconfd "${FILESDIR}"/${PN}.confd "${PN}"
+	newinitd "${FILESDIR}"/${PN}.initd "${PN}"
+	systemd_dounit containerd.service
+	keepdir /var/lib/containerd
+
+	# we already installed manpages, remove markdown source
+	# before installing docs directory
+	rm -r docs/man || die
+
+	local DOCS=( ADOPTERS.md README.md RELEASES.md ROADMAP.md SCOPE.md docs/. )
+	einstalldocs
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.